> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minestorecms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Promoted Packages

> Fetches a list of promoted items available in the cart along with their details such as price, availability, and quantity limits.



## OpenAPI

````yaml POST /cart/getPromoted
openapi: 3.0.0
info:
  title: MineStoreCMS REST API
  description: Documentation for MineStoreCMS Frontend REST API.
  version: 3.8.7
servers:
  - url: https://v3.minestorecms.com/api
    description: Example URL of Demo Server
security: []
tags: []
paths:
  /cart/getPromoted:
    post:
      tags:
        - cart
      summary: Retrieve promoted items available in the cart
      description: >-
        Fetches a list of promoted items available in the cart along with their
        details such as price, availability, and quantity limits.
      responses:
        '200':
          description: Successfully retrieved the promoted items.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                      description: ID of the item.
                    name:
                      type: string
                      description: Name of the item.
                    image:
                      type: string
                      description: URL of the item's image.
                    original_price:
                      type: number
                      format: float
                      description: The original price of the item.
                    price:
                      type: number
                      format: float
                      description: The current promoted price of the item.
                    is_subs:
                      type: boolean
                      description: Indicates if the item is a subscription.
                    quantityGlobalLimit:
                      type: integer
                      description: The global quantity limit for the item.
                      nullable: true
                    quantityGlobalCurrentLimit:
                      type: integer
                      description: The current value of the global quantity limit.
                      nullable: true
                    quantityUserLimit:
                      type: integer
                      description: The user-specific quantity limit for the item.
                      nullable: true
                    quantityUserCurrentLimit:
                      type: integer
                      description: The current value of the user-specific quantity limit.
                      nullable: true
                    is_unavailable:
                      type: boolean
                      description: Indicates if the item is unavailable.
                    is_virtual_currency_only:
                      type: boolean
                      description: Indicates if the item is virtual currency only.
                    virtual_price:
                      type: number
                      format: float
                      description: The virtual price of the item.
                      nullable: true
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````